Package org.apache.commons.collections4.functors

# Class AllPredicate<T>

java.lang.Object
org.apache.commons.collections4.functors.AbstractQuantifierPredicate<T>
org.apache.commons.collections4.functors.AllPredicate<T>

All Implemented Interfaces:
  `Serializable`, `Predicate<T>`, `PredicateDecorator<T>`, `Predicate<T>`

public final class AllPredicate<T> extends AbstractQuantifierPredicate<T>
Predicate implementation that returns true if all the predicates return true. If the array of predicates is empty, then this predicate returns true.

NOTE: In versions prior to 3.2 an array size of zero or one threw an exception.

Since:
  3.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.commons.collections4.functors.AbstractQuantifierPredicate

  `iPredicates`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AllPredicate(Predicate<? super T>... predicates)`
  Constructor that performs no validation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> Predicate<T>`
  `allPredicate(Collection<? extends Predicate<? super T>> predicates)`
  Factory to create the predicate.
  `static <T> Predicate<T>`
  `allPredicate(Predicate<? super T>... predicates)`
  Factory to create the predicate.
  `boolean`
  `evaluate(T object)`
  Evaluates the predicate returning true if all predicates return true.

  ### Methods inherited from class org.apache.commons.collections4.functors.AbstractQuantifierPredicate

  `getPredicates`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

  ### Methods inherited from interface org.apache.commons.collections4.Predicate

  `test`

- ## Constructor Details

  - ### AllPredicate

    public AllPredicate(Predicate<? super T>... predicates)
    Constructor that performs no validation. Use `allPredicate` if you want that.
    Parameters:
      `predicates` - the predicates to check, not cloned, not null

- ## Method Details

  - ### allPredicate

    public static <T> Predicate<T> allPredicate(Collection<? extends Predicate<? super T>> predicates)
    Factory to create the predicate.

    If the collection is size zero, the predicate always returns true. If the collection is size one, then that predicate is returned.

    Type Parameters:
      `T` - the type that the predicate queries
    Parameters:
      `predicates` - the predicates to check, cloned, not null
    Returns:
      the `all` predicate
    Throws:
      `NullPointerException` - if the predicates array is null
      `NullPointerException` - if any predicate in the array is null

  - ### allPredicate

    public static <T> Predicate<T> allPredicate(Predicate<? super T>... predicates)
    Factory to create the predicate.

    If the array is size zero, the predicate always returns true. If the array is size one, then that predicate is returned.

    Type Parameters:
      `T` - the type that the predicate queries
    Parameters:
      `predicates` - the predicates to check, cloned, not null
    Returns:
      the `all` predicate
    Throws:
      `NullPointerException` - if the predicates array is null
      `NullPointerException` - if any predicate in the array is null

  - ### evaluate

    public boolean evaluate(T object)
    Evaluates the predicate returning true if all predicates return true.
    Parameters:
      `object` - the input object
    Returns:
      true if all decorated predicates return true